/* rpki_polling_period => "rpki polling_period (1-86400)$pp" */
DEFUN_CMD_FUNC_DECL(rpki_polling_period)
#define funcdecl_rpki_polling_period static int rpki_polling_period_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	long pp,\
	const char * pp_str __attribute__ ((unused)))
funcdecl_rpki_polling_period;
DEFUN_CMD_FUNC_TEXT(rpki_polling_period)
{
#if 1 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	long pp = 0;
	const char *pp_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "pp")) {
			pp_str = argv[_i]->arg;
			char *_end;
			pp = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!pp_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "pp_str");
		return CMD_WARNING;
	}

	return rpki_polling_period_magic(self, vty, argc, argv, pp, pp_str);
}

/* rpki_expire_interval => "rpki expire_interval (600-172800)$tmp" */
DEFUN_CMD_FUNC_DECL(rpki_expire_interval)
#define funcdecl_rpki_expire_interval static int rpki_expire_interval_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	long tmp,\
	const char * tmp_str __attribute__ ((unused)))
funcdecl_rpki_expire_interval;
DEFUN_CMD_FUNC_TEXT(rpki_expire_interval)
{
#if 1 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	long tmp = 0;
	const char *tmp_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "tmp")) {
			tmp_str = argv[_i]->arg;
			char *_end;
			tmp = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!tmp_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "tmp_str");
		return CMD_WARNING;
	}

	return rpki_expire_interval_magic(self, vty, argc, argv, tmp, tmp_str);
}

/* rpki_retry_interval => "rpki retry_interval (1-7200)$tmp" */
DEFUN_CMD_FUNC_DECL(rpki_retry_interval)
#define funcdecl_rpki_retry_interval static int rpki_retry_interval_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	long tmp,\
	const char * tmp_str __attribute__ ((unused)))
funcdecl_rpki_retry_interval;
DEFUN_CMD_FUNC_TEXT(rpki_retry_interval)
{
#if 1 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	long tmp = 0;
	const char *tmp_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "tmp")) {
			tmp_str = argv[_i]->arg;
			char *_end;
			tmp = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!tmp_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "tmp_str");
		return CMD_WARNING;
	}

	return rpki_retry_interval_magic(self, vty, argc, argv, tmp, tmp_str);
}

/* rpki_cache => "rpki cache <A.B.C.D|WORD><TCPPORT|(1-65535)$sshport SSH_UNAME SSH_PRIVKEY SSH_PUBKEY [SERVER_PUBKEY]> preference (1-255)" */
DEFUN_CMD_FUNC_DECL(rpki_cache)
#define funcdecl_rpki_cache static int rpki_cache_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	const char * cache,\
	const char * tcpport,\
	long sshport,\
	const char * sshport_str __attribute__ ((unused)),\
	const char * ssh_uname,\
	const char * ssh_privkey,\
	const char * ssh_pubkey,\
	const char * server_pubkey,\
	long preference,\
	const char * preference_str __attribute__ ((unused)))
funcdecl_rpki_cache;
DEFUN_CMD_FUNC_TEXT(rpki_cache)
{
#if 8 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	const char *cache = NULL;
	const char *tcpport = NULL;
	long sshport = 0;
	const char *sshport_str = NULL;
	const char *ssh_uname = NULL;
	const char *ssh_privkey = NULL;
	const char *ssh_pubkey = NULL;
	const char *server_pubkey = NULL;
	long preference = 0;
	const char *preference_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "cache")) {
			cache = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "tcpport")) {
			tcpport = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "sshport")) {
			sshport_str = argv[_i]->arg;
			char *_end;
			sshport = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
		if (!strcmp(argv[_i]->varname, "ssh_uname")) {
			ssh_uname = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "ssh_privkey")) {
			ssh_privkey = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "ssh_pubkey")) {
			ssh_pubkey = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "server_pubkey")) {
			server_pubkey = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "preference")) {
			preference_str = argv[_i]->arg;
			char *_end;
			preference = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!cache) {
		vty_out(vty, "Internal CLI error [%s]\n", "cache");
		return CMD_WARNING;
	}
	if (!preference_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "preference_str");
		return CMD_WARNING;
	}

	return rpki_cache_magic(self, vty, argc, argv, cache, tcpport, sshport, sshport_str, ssh_uname, ssh_privkey, ssh_pubkey, server_pubkey, preference, preference_str);
}

/* no_rpki_cache => "no rpki cache <A.B.C.D|WORD> <TCPPORT|(1-65535)$sshport> preference (1-255)$preference" */
DEFUN_CMD_FUNC_DECL(no_rpki_cache)
#define funcdecl_no_rpki_cache static int no_rpki_cache_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	const char * cache,\
	const char * tcpport,\
	long sshport,\
	const char * sshport_str __attribute__ ((unused)),\
	long preference,\
	const char * preference_str __attribute__ ((unused)))
funcdecl_no_rpki_cache;
DEFUN_CMD_FUNC_TEXT(no_rpki_cache)
{
#if 4 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	const char *cache = NULL;
	const char *tcpport = NULL;
	long sshport = 0;
	const char *sshport_str = NULL;
	long preference = 0;
	const char *preference_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "cache")) {
			cache = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "tcpport")) {
			tcpport = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
		if (!strcmp(argv[_i]->varname, "sshport")) {
			sshport_str = argv[_i]->arg;
			char *_end;
			sshport = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
		if (!strcmp(argv[_i]->varname, "preference")) {
			preference_str = argv[_i]->arg;
			char *_end;
			preference = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!cache) {
		vty_out(vty, "Internal CLI error [%s]\n", "cache");
		return CMD_WARNING;
	}
	if (!preference_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "preference_str");
		return CMD_WARNING;
	}

	return no_rpki_cache_magic(self, vty, argc, argv, cache, tcpport, sshport, sshport_str, preference, preference_str);
}

/* show_rpki_as_number => "show rpki as-number (1-4294967295)$by_asn" */
DEFUN_CMD_FUNC_DECL(show_rpki_as_number)
#define funcdecl_show_rpki_as_number static int show_rpki_as_number_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	long by_asn,\
	const char * by_asn_str __attribute__ ((unused)))
funcdecl_show_rpki_as_number;
DEFUN_CMD_FUNC_TEXT(show_rpki_as_number)
{
#if 1 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	long by_asn = 0;
	const char *by_asn_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "by_asn")) {
			by_asn_str = argv[_i]->arg;
			char *_end;
			by_asn = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!by_asn_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "by_asn_str");
		return CMD_WARNING;
	}

	return show_rpki_as_number_magic(self, vty, argc, argv, by_asn, by_asn_str);
}

/* show_rpki_prefix => "show rpki prefix <A.B.C.D/M|X:X::X:X/M> [(1-4294967295)$asn]" */
DEFUN_CMD_FUNC_DECL(show_rpki_prefix)
#define funcdecl_show_rpki_prefix static int show_rpki_prefix_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	const struct prefix * prefix,\
	const char * prefix_str __attribute__ ((unused)),\
	long asn,\
	const char * asn_str __attribute__ ((unused)))
funcdecl_show_rpki_prefix;
DEFUN_CMD_FUNC_TEXT(show_rpki_prefix)
{
#if 2 /* anything to parse? */
	int _i;
#if 1 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	struct prefix prefix = { };
	const char *prefix_str = NULL;
	long asn = 0;
	const char *asn_str = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 1 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "prefix")) {
			prefix_str = argv[_i]->arg;
			_fail = !str2prefix(argv[_i]->arg, &prefix);
		}
		if (!strcmp(argv[_i]->varname, "asn")) {
			asn_str = argv[_i]->arg;
			char *_end;
			asn = strtol(argv[_i]->arg, &_end, 10);
			_fail = (_end == argv[_i]->arg) || (*_end != '\0');
		}
#if 1 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 1 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif
	if (!prefix_str) {
		vty_out(vty, "Internal CLI error [%s]\n", "prefix_str");
		return CMD_WARNING;
	}

	return show_rpki_prefix_magic(self, vty, argc, argv, &prefix, prefix_str, asn, asn_str);
}

